// Programm  lx_test70.cpp;
// Zum Test von ln( sqrt(x^2+y^2) );

#include <iostream>       
#include "lx_imath.hpp"

using namespace cxsc;
using namespace std;

int main()
{
    stagprec = 29; 
    lx_interval Incl_6_10,x1,Incl_8_10,y1,Z;

    Incl_6_10 = lx_interval(0,l_interval(6))/10;  // Schliesst 0.6 ein
    x1 = lx_interval(Inf(Incl_6_10));
    if (point_intv(x1)) cout << "x1 ist ein Punktintervall" << endl;
    Incl_8_10 = lx_interval(0,l_interval(8))/10;  // Schliesst 0.8 ein
    y1 = lx_interval(Sup(Incl_8_10));
    if (point_intv(y1)) cout << "y1 ist ein Punktintervall" << endl;
    stagprec = 30;
    Z = ln_sqrtx2y2(x1,y1);
    cout << SetDotPrecision(16*stagprec,16*stagprec) 
         << Scientific;
    cout << "Z = " << Z << endl;
} 
